Skip to main content
POST
Create Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating an SMS template.

name
string
required

The name of the SMS template.

Maximum string length: 128
body
string
required

The message template body with Jinja2 variables. Plain text only.

Maximum string length: 1600
description
string | null

Description of when/how to use this template.

is_default
boolean
default:false

Whether this is the default SMS template.

Response

Successful Response

SMS template summary for list views.

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
body
string
required

The message template body with Jinja2 variables. Plain text only.

character_count
integer
required

Approximate character count (before variable substitution)

description
string | null
required

Description of when/how to use this template.

estimated_segment_count
integer
required

Estimated SMS segment count. 160 characters per segment for GSM-7 encoding. Note: Actual count may vary after variable substitution.

is_default
boolean
required

Whether this is the default SMS template.

name
string
required

The name of the SMS template.

object
string
required
read-only

String representing the object's type. Objects of the same type share the same value.